>From b6e054ac65e52cba1e41559f02e39c50cb8c5b02 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Filip=20Ros=C3=A9en?= <filip@atch.se>
Date: Thu, 2 Mar 2017 18:39:29 +0100
Subject: [PATCH] access/satip: remove write only variable
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

The now removed lines of code are part of the legacy implementation
(before vlc_UrlParse was used), and are no longer required.

--

A previous version of this patch only removed the usage of
psz_lower_location, while still leaving the call to strstr in place
(which is redundant).

This updated patch also removes the redundant check, as to comply with
what was pointed out by Rémi Denis-Courmount in the below linked
email:

 - https://mailman.videolan.org/pipermail/vlc-devel/2017-March/111824.html
---
 modules/access/satip.c | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/modules/access/satip.c b/modules/access/satip.c
index 7653752438..ab61a4ce78 100644
--- a/modules/access/satip.c
+++ b/modules/access/satip.c
@@ -645,11 +645,6 @@ static int satip_open(vlc_object_t *obj)
     for (unsigned i = 0; i < strlen(psz_lower_url); i++)
         psz_lower_url[i] = tolower(psz_lower_url[i]);
 
-    const char* psz_lower_location = strstr( psz_lower_url, "://" );
-    if ( psz_lower_location == NULL )
-        goto error;
-    psz_lower_location += 3;
-
     vlc_UrlParse(&url, psz_lower_url);
     if (url.i_port <= 0)
         url.i_port = RTSP_DEFAULT_PORT;
-- 
2.12.0

